Permalink
Browse files

Bundler selection script for Travis.

  • Loading branch information...
castwide committed Jan 9, 2019
1 parent 1443320 commit eec13f686e602bbbd5caab60cdfcb4c4c8d71a1a
Showing with 11 additions and 0 deletions.
  1. +1 −0 .travis.yml
  2. +10 −0 travis-bundler.rb
@@ -15,6 +15,7 @@ matrix:
# Update RubyGems and Bundler due to error with Bundler 1.16.1 and RubyGems 2.7.3
# See https://github.com/travis-ci/travis-ci/issues/8978
before_install:
- ruby ./travis-bundler.rb
- bundle install
before_script: bundle exec yard gems
script: bundle exec rspec
@@ -0,0 +1,10 @@
#!/usr/bin/env ruby

# Travis uses this script to select which version of bundler to install for
# each job.

if RUBY_VERSION =~ /^2\.(1|2)\./
exec "gem install bundler -v '< 2'"
else
exec "gem install bundler"
end

0 comments on commit eec13f6

Please sign in to comment.